microsoft.aspnetcore.app vulnerabilities

Provides a default set of APIs for building an ASP.NET Core application. This package requires the ASP.NET Core runtime. This runtime is installed by the .NET Core SDK, or can be acquired separately using installers available at https://aka.ms/dotnet-download.

Direct Vulnerabilities

Known vulnerabilities in the microsoft.aspnetcore.app package. This does not include vulnerabilities belonging to this package’s dependencies.

Automatically find and fix vulnerabilities affecting your projects. Snyk scans for vulnerabilities and provides fixes for free.
Fix for free
Vulnerability Vulnerable Version
  • M
Denial of Service (DoS)

[5.0.0,5.0.7) (,3.1.16)
  • H
Denial of Service (DoS)

[5.0.0,5.0.9) [3.1.0,3.1.18) [2.1.0,2.1.29)
  • M
Information Exposure

[5.0.0,5.0.9) [3.1.0,3.1.18) [2.1.0,2.1.29)
  • H
Security Bypass

(,2.1.22) [3.0.0,3.1.8)
  • H
Denial of Service (DoS)

[2.1.0,2.1.21) [3.1.0,3.1.7)
  • C
Remote Code Execution (RCE)

(,2.1.20) [3.0.0,3.1.6)
  • H
Denial of Service (DoS)

[2.1.0,2.1.18) [3.1.0,3.1.4)
  • H
Denial of Service (DoS)

[3.1.0,3.1.4)
  • H
Remote Code Execution (RCE)

[3.0.1,3.0.2) [3.1.0,3.1.1)
  • H
Remote Code Execution (RCE)

[3.0.1,3.0.2) [3.1.0,3.1.1)
  • H
Remote Code Execution (RCE)

[2.1.0,2.1.15) [3.0.0,3.0.1) [3.1.0,3.1.1)
  • H
Denial of Service (DoS)

[2.1.0,2.1.15) [3.0.0,3.0.1) [3.1.0,3.1.1)
  • M
Denial of Service (DoS)

[2.2.0,2.2.1) [2.1.0,2.1.7)
  • H
Denial of Service (DoS)

[2.1.0,2.1.4)
  • M
Denial of Service (DoS)

[2.1.0,2.1.2)